Package io.vertx.ext.auth.jwt

## Class JWTAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.jwt.JWTAuthOptions

-     public class JWTAuthOptions
      extends Object

  Options describing how an JWT Auth should behave.
  Author:
    Paulo Lopes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JWTAuthOptions()` | Default constructor
    `JWTAuthOptions​(JsonObject json)` | Constructor to create an options from JSON
    `JWTAuthOptions​(JWTAuthOptions other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JWTAuthOptions` | `addJwk​(JsonObject jwk)` |
    `JWTAuthOptions` | `addPubSecKey​(PubSecKeyOptions pubSecKey)` |
    `List<JsonObject>` | `getJwks()` |
    `JWTOptions` | `getJWTOptions()` |
    `KeyStoreOptions` | `getKeyStore()` |
    `List<PubSecKeyOptions>` | `getPubSecKeys()` |
    `JWTAuthOptions` | `setJwks​(List<JsonObject> jwks)` |
    `JWTAuthOptions` | `setJWTOptions​(JWTOptions jwtOptions)` |
    `JWTAuthOptions` | `setKeyStore​(KeyStoreOptions keyStore)` |
    `JWTAuthOptions` | `setPubSecKeys​(List<PubSecKeyOptions> pubSecKeys)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWTAuthOptions

          public JWTAuthOptions()

      Default constructor

    - #### JWTAuthOptions

          public JWTAuthOptions​(JWTAuthOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### JWTAuthOptions

          public JWTAuthOptions​(JsonObject json)

      Constructor to create an options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### getKeyStore

          public KeyStoreOptions getKeyStore()

    - #### setKeyStore

          public JWTAuthOptions setKeyStore​(KeyStoreOptions keyStore)

    - #### getPubSecKeys

          public List<PubSecKeyOptions> getPubSecKeys()

    - #### setPubSecKeys

          public JWTAuthOptions setPubSecKeys​(List<PubSecKeyOptions> pubSecKeys)

    - #### addPubSecKey

          public JWTAuthOptions addPubSecKey​(PubSecKeyOptions pubSecKey)

    - #### getJWTOptions

          public JWTOptions getJWTOptions()

    - #### setJWTOptions

          public JWTAuthOptions setJWTOptions​(JWTOptions jwtOptions)

    - #### getJwks

          public List<JsonObject> getJwks()

    - #### setJwks

          public JWTAuthOptions setJwks​(List<JsonObject> jwks)

    - #### addJwk

          public JWTAuthOptions addJwk​(JsonObject jwk)